%define pypi_name ipywidgets

Name:           python-%{pypi_name}
Version:        8.1.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        IPython HTML widgets for Jupyter

License:        BSD
URL:            https://ipython.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%package -n     python3-%{pypi_name}
Summary:        IPython HTML widgets for Jupyter (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Jupyterlab_widgets is a new dependency in ipywidgets 7.6
# and it contains code which enables widgets in Jupyter lab
# not requiring any manual steps. But we don't have Jupyter lab
# in Fedora yet so we do not need this package at all.
sed -i "/jupyterlab_widgets/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipywidgets

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 8.1.5-2.mga10
+ Revision: 2157152
- rebuild for python3.13

* Sat Dec 21 2024 papoteur <papoteur> 8.1.5-1.mga10
+ Revision: 2127092
- new version 8.1.5

* Tue May 14 2024 papoteur <papoteur> 8.1.2-1.mga10
+ Revision: 2064146
- new version 8.1.2

* Tue Dec 26 2023 wally <wally> 8.1.1-1.mga10
+ Revision: 2021871
- new version 8.1.1
- use %%pyproject_buildrequires
- filter out jupyterlab_widgets require

* Thu Sep 29 2022 neoclust <neoclust> 8.0.2-1.mga9
+ Revision: 1893389
- New version 8.0.2

* Wed Sep 07 2022 neoclust <neoclust> 8.0.1-1.mga9
+ Revision: 1885010
- New version  8.0.1

* Wed Mar 23 2022 umeabot <umeabot> 7.6.3-3.mga9
+ Revision: 1823549
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 7.6.3-2.mga9
+ Revision: 1783542
- Rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 7.6.3-1.mga9
+ Revision: 1716600
- new version: 7.6.3

* Tue Mar 23 2021 daviddavid <daviddavid> 7.5.1-2.mga9
+ Revision: 1708314
- rebuild for python 3.9
- fix python3 pkg name
- fix owner of python3 sitelib dir

* Mon Feb 17 2020 daviddavid <daviddavid> 7.5.1-1.mga8
+ Revision: 1536957
- new version: 7.5.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 6.0.0-5.mga8
+ Revision: 1445337
- rebuild for python-3.8

* Sat Jan 12 2019 tmb <tmb> 6.0.0-4.mga7
+ Revision: 1355237
- rebuild for python 3.7

* Tue Jan 08 2019 tv <tv> 6.0.0-3.mga7
+ Revision: 1351680
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1289066
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 6.0.0-1.mga7
+ Revision: 1139029
- update to 6.0.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 5.2.2-2.mga7
+ Revision: 1135460
- Rebuild for python 3.6

* Tue Jul 19 2016 joequant <joequant> 5.2.2-1.mga6
+ Revision: 1042587
- update to 5.2.2

* Wed May 18 2016 philippem <philippem> 5.1.4-1.mga6
+ Revision: 1016640
- update to 5.1.4

* Tue May 03 2016 philippem <philippem> 5.1.3-1.mga6
+ Revision: 1009017
- update to 5.1.3

* Fri Apr 29 2016 philippem <philippem> 5.1.2-1.mga6
+ Revision: 1007704
- update to 5.1.2

* Thu Apr 28 2016 philippem <philippem> 5.1.0-1.mga6
+ Revision: 1007170
- update to 5.1.0

* Sun Apr 24 2016 philippem <philippem> 5.0.0-3.mga6
+ Revision: 1005843
- relax requires for widgetsnbextension (add the patch to svn)
- relax requires for widgetsnbextension

* Wed Apr 20 2016 philippem <philippem> 5.0.0-1.mga6
+ Revision: 1003703
- update to 5.0.0

* Mon Apr 18 2016 philippem <philippem> 4.1.1-1.mga6
+ Revision: 1003485
- imported package python-ipywidgets

